Page MenuHomePhabricator

Website Revamp for 2019 cycle
Closed, ResolvedPublic

Description

Hi Niharika (and Bryan!) - We're making the simplest changes possible to the website. Just changing the dates and deleting the theme question; dates for the process are below. Is it possible for this to get done by Feb 15? If not then let me know and I'll push to whenever you need it, I know this is an extra thing you're doing to help us out.

New dates:
Accepting applications Feb 15 - Mar 15 (same as before, UTC midnight as deadline)
Phase 1 results announced Mar 20
Deliberation by committee Mar 20 - April 20
Final list announced May 1

Details

Related Gerrit Patches:
wikimedia/wikimania-scholarships : masterChange dates and switch the theme question for the 2019 cycle

Event Timeline

ITait created this task.Feb 5 2019, 5:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2019, 5:09 PM

Thanks for creating the task, @ITait. I can work on changing the dates. By the theme question, do you mean this one - Wikimania 2018's theme is focusing on supporting underrepresented voices and filling knowledge gaps in our movement. What are some communities, forms of knowledge, or subjects that are important to you and still missing from Wikimedia? How would you like to participate at Wikimania to help address this?

What should I put down as the venue and dates for Wikimania? It currently says Cape Town, South Africa, July 18-22, 2018.

ITait added a comment.Feb 6 2019, 8:34 PM

Yep @Niharika, that's exactly the theme question I mean. We're not replacing it with anything so it's just getting the ax.
For the venue and date: Stockholm, Sweden, August 14 - 18, 2019. Thanks so much!

Niharika added a comment.EditedFeb 7 2019, 11:44 PM

I'm working on this now, @ITait. Question for you - did we do away with new wikis for Wikimania every year and now the standard website is https://wikimania.wikimedia.org/wiki/Wikimania? I see that https://wikimania2019.wikimedia.org/wiki/Wikimania redirects to that.

Niharika added a comment.EditedFeb 7 2019, 11:52 PM

Another question, last year's Privacy statement was here - https://wikimediafoundation.org/wiki/Wikimania_2018_Application_Form_Privacy_Statement (It's linked from the top of the form). Where do you want to put that this year?
Also, is wikimania-scholarships@wikimedia.org still the go to email address for questions?

Change 489324 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[wikimedia/wikimania-scholarships@master] Change dates and switch the theme question for the 2019 cycle

https://gerrit.wikimedia.org/r/489324

ITait added a comment.Feb 8 2019, 11:37 PM

Re: wiki - yes, we thankfully did away with the new wikis and the new link is the first one you listed.
Re: privacy statement - let me work with legal and get back to you.

ITait added a comment.Feb 12 2019, 6:16 PM

@Niharika heard back from legal and they're working on a privacy statement. In the mean time, please keep the 2018 link.
Once the site goes live on for submissions on the 15th, what is our ability to edit that URL? If the answer is not at all, I will tell legal to edit the wiki with a redirect instead of changing the URL in the site. Thanks!

@Niharika heard back from legal and they're working on a privacy statement. In the mean time, please keep the 2018 link.
Once the site goes live on for submissions on the 15th, what is our ability to edit that URL? If the answer is not at all, I will tell legal to edit the wiki with a redirect instead of changing the URL in the site. Thanks!

We have scope for editing the URL but it will affect translations. I'll keep the 2018 link for now.

Niharika added a comment.EditedFeb 12 2019, 6:58 PM

@ITait At one point in the application, it says, For questions about this application, or to access or change your answers, contact eyoung@wikimedia.org. Should I change that to be your email instead?

It also says We will publish a list of scholarship recipients’ user names on Meta at "https://meta.wikimedia.org/wiki/Grants:TPS/Wikimania_scholars -- Is that still correct?

@ITait I've updated the test site with the changes. Please give it a whirl and let me know if anything looks off.

ITait added a comment.Feb 12 2019, 8:09 PM

@Niharika ok, good to know about the translations.
Yes, please change ellie's email to mine (itait@wikimedia.org)
Yes, that meta link is still accurate
Re: test site - looked it over, and is great except for one thing - under the Primary language selection, the first option of "My main project is x therefore I cannot pick a language" gets cut off in Safari and Chrome browsers, but not Firefox. It's not a big issue but I'm curious why its happening.

Thanks @ITait. I have updated it with the new link. Are you talking about this message?

It depends on your window width. Not much we can do besides shortening the message, if you like.

Niharika triaged this task as High priority.Feb 12 2019, 9:40 PM
Niharika moved this task from Must have to Needs Review on the Wikimedia-Wikimania-Scholarships board.

Change 489324 merged by jenkins-bot:
[wikimedia/wikimania-scholarships@master] Change dates and switch the theme question for the 2019 cycle

https://gerrit.wikimedia.org/r/489324

ITait added a comment.Feb 13 2019, 2:02 AM

@Niharika - yep, that exact one. Thanks for explaining! No need to re-word it, doubt anyone will notice.

Mentioned in SAL (#wikimedia-operations) [2019-02-13T23:42:32Z] <niharika29@deploy1001> Started deploy [scholarships/scholarships@1d89fe2]: Update scholarships app for 2019 cycle T215302

Mentioned in SAL (#wikimedia-operations) [2019-02-13T23:42:37Z] <niharika29@deploy1001> Finished deploy [scholarships/scholarships@1d89fe2]: Update scholarships app for 2019 cycle T215302 (duration: 00m 02s)

Mentioned in SAL (#wikimedia-operations) [2019-02-14T00:36:10Z] <bd808@deploy1001> Started deploy [scholarships/scholarships@1d89fe2]: Live hack PHPMailer namespace T215302

Mentioned in SAL (#wikimedia-operations) [2019-02-14T00:36:13Z] <bd808@deploy1001> Finished deploy [scholarships/scholarships@1d89fe2]: Live hack PHPMailer namespace T215302 (duration: 00m 02s)

Mentioned in SAL (#wikimedia-operations) [2019-02-14T23:37:38Z] <niharika29@deploy1001> Started deploy [scholarships/scholarships@25ea138]: Update app with updated dependencies to mitigate PHPMailer error T215302

Mentioned in SAL (#wikimedia-operations) [2019-02-14T23:37:42Z] <niharika29@deploy1001> Finished deploy [scholarships/scholarships@25ea138]: Update app with updated dependencies to mitigate PHPMailer error T215302 (duration: 00m 02s)

@ITait The app is all set to go live later today. Bryan and I created four test applications as part of our testing. You'll see them when you login.

Niharika closed this task as Resolved.Feb 15 2019, 12:22 AM
Niharika moved this task from Needs Review to Done on the Wikimedia-Wikimania-Scholarships board.

The app is now live!

Niharika renamed this task from Website Revamp to Website Revamp for 2019 cycle.Feb 28 2019, 11:02 PM